package body Szukaj with SPARK_Mode is

   function szukaj(tablica: in Elementy;
                   wartosc: in Wartosci) return Indeks
   is
      i: Indeks;
   begin
      i := Indeks'First;

      while i < Indeks'Last and tablica(i) /= wartosc loop
         pragma
           Loop_Invariant(
                          i = Indeks'First or else
                            (for all j in Indeks'First..i-1 =>
                               tablica(j) /= wartosc));

         i := i + 1;
      end loop;

      return i;

   end szukaj;

end Szukaj;
