package Szukaj with SPARK_Mode is

   type Indeks is range 1..100;
   type Wartosci is range 0..9;
   type Elementy is array(Indeks) of Wartosci;

   function szukaj(tablica: in Elementy;
                   wartosc: in Wartosci) return Indeks
   with
     Pre => (for some i in Indeks => tablica(i) = wartosc),
     Post => tablica(szukaj'Result) = wartosc;

end Szukaj;
